> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener una factura por ID

> Obtener una factura por su ID



## OpenAPI

````yaml get /invoice/{invoiceId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /invoice/{invoiceId}:
    get:
      tags:
        - Facturas
      summary: Obtener una factura por ID
      description: Obtener una factura por su ID
      parameters:
        - schema:
            type: number
          required: true
          name: invoiceId
          in: path
      responses:
        '200':
          description: Retorna la factura solicitada
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  totalAmount:
                    type: string
                  totalPaid:
                    type: string
                  totalPending:
                    type: string
                  totalMora:
                    type: string
                  interestPaid:
                    type: string
                  interestSnapshot:
                    type: string
                  interestSnapshotDate:
                    type: string
                    nullable: true
                  status:
                    type: string
                    enum:
                      - DRAFT
                      - PENDING
                      - PAID
                      - CANCELED
                      - PARTIALLY_PAID
                      - BONIFIED
                  description:
                    type: string
                    nullable: true
                  date:
                    type: string
                  expirationDate:
                    type: string
                  settlement:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                      sentDate:
                        type: string
                        nullable: true
                      status:
                        type: string
                        enum:
                          - DRAFT
                          - SENDING
                          - SENT
                          - CANCELED
                    required:
                      - id
                      - name
                      - sentDate
                      - status
                  lastPaymentDate:
                    type: string
                    nullable: true
                  paymentMethod:
                    type: string
                    nullable: true
                  isManualPayment:
                    type: boolean
                  uniqueId:
                    type: string
                    nullable: true
                  applyInterest:
                    type: boolean
                  externalReference:
                    type: string
                    nullable: true
                  contact:
                    type: object
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                      lastName:
                        type: string
                        nullable: true
                      documentType:
                        type: string
                        nullable: true
                        enum:
                          - DNI
                          - CUIT
                          - CUIL
                          - CDI
                          - LE
                          - LC
                          - CI Extranjera
                          - Pasaporte
                          - CI Policía Federal
                          - Certificado de Migración
                          - RUT
                          - Otro
                      documentNumber:
                        type: string
                        nullable: true
                    required:
                      - id
                      - name
                      - lastName
                      - documentType
                      - documentNumber
                  payments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        date:
                          type: string
                        status:
                          type: string
                          enum:
                            - PAID
                            - VOIDED
                            - CHARGEBACK
                        method:
                          type: string
                          enum:
                            - DEBIT_CARD
                            - CREDIT_CARD
                            - DIRECT_DEBIT
                            - CARD
                            - PAGO_FACIL
                            - RAPI_PAGO
                            - PAGO_MIS_CUENTAS
                            - LINK_PAGO
                            - TRANSFER
                            - CASH
                            - MERCADO_PAGO
                            - MERCADO_PAGO_POINT
                            - SIRO
                        totalAmount:
                          type: string
                        isManual:
                          type: boolean
                        reference:
                          type: string
                          nullable: true
                      required:
                        - id
                        - date
                        - status
                        - method
                        - totalAmount
                        - isManual
                        - reference
                  payerContacts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        type:
                          type: string
                        notify:
                          type: boolean
                        name:
                          type: string
                        lastName:
                          type: string
                        hash:
                          type: string
                          nullable: true
                        documentType:
                          type: string
                          nullable: true
                          enum:
                            - DNI
                            - CUIT
                            - CUIL
                            - CDI
                            - LE
                            - LC
                            - CI Extranjera
                            - Pasaporte
                            - CI Policía Federal
                            - Certificado de Migración
                            - RUT
                            - Otro
                        documentNumber:
                          type: string
                          nullable: true
                        address:
                          type: string
                          nullable: true
                        city:
                          type: string
                          nullable: true
                        province:
                          type: string
                          nullable: true
                        phoneNumber:
                          type: string
                          nullable: true
                        whatsappNumber:
                          type: string
                          nullable: true
                        email:
                          type: string
                          nullable: true
                      required:
                        - id
                        - type
                        - notify
                        - name
                        - lastName
                        - hash
                        - documentType
                        - documentNumber
                        - address
                        - city
                        - province
                        - phoneNumber
                        - whatsappNumber
                        - email
                  files:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        url:
                          type: string
                        createdAt:
                          type: string
                        user:
                          type: object
                          properties:
                            id:
                              type: number
                            name:
                              type: string
                              nullable: true
                            lastName:
                              type: string
                              nullable: true
                          required:
                            - id
                            - name
                            - lastName
                      required:
                        - id
                        - url
                        - createdAt
                        - user
                  activities:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        activity:
                          type: string
                        createdAt:
                          type: string
                        type:
                          type: string
                          enum:
                            - created
                            - payment
                            - payment_attempt
                            - future_reminder
                            - sent_reminder
                            - settlement_sent
                        history:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              status:
                                type: string
                              createdAt:
                                type: string
                            required:
                              - id
                              - status
                              - createdAt
                        reminder:
                          type: object
                          properties:
                            id:
                              type: number
                            notificationType:
                              type: string
                              enum:
                                - whatsapp
                                - email
                                - email-whatsapp
                            type:
                              type: string
                              enum:
                                - days_after
                                - same_day
                                - days_before
                            days:
                              type: number
                          required:
                            - id
                            - notificationType
                            - type
                            - days
                        lastStatus:
                          type: string
                      required:
                        - id
                        - activity
                        - createdAt
                        - type
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        amount:
                          type: string
                        description:
                          type: string
                          nullable: true
                        status:
                          type: string
                          enum:
                            - active
                            - draft
                        type:
                          type: string
                          enum:
                            - credit
                            - debit
                            - mora
                        frequencyType:
                          type: string
                          enum:
                            - one_time
                            - monthly
                            - annually
                        startDate:
                          type: string
                          nullable: true
                        collectionCycles:
                          type: number
                          default: 1
                        generateInterestForLatePayment:
                          type: boolean
                          default: false
                        moraDetails:
                          type: array
                          items:
                            type: object
                            properties:
                              fromDay:
                                type: number
                              untilDay:
                                type: number
                              percentage:
                                type: string
                              daysToApply:
                                type: number
                                description: Days to apply the interest
                              interestCalculated:
                                type: string
                                description: Interest calculated for the mora
                              interestType:
                                type: string
                                enum:
                                  - FIXED
                                  - PERCENTAGE
                              itemId:
                                type: number
                              configId:
                                type: number
                              baseAmount:
                                type: string
                            required:
                              - fromDay
                              - untilDay
                              - percentage
                              - daysToApply
                              - interestCalculated
                              - interestType
                              - itemId
                              - configId
                              - baseAmount
                        useCase:
                          type: string
                          enum:
                            - subscription
                            - settlement
                            - event
                        isIndefinite:
                          type: boolean
                        condition:
                          type: string
                          enum:
                            - all
                            - some
                            - all_except
                            - none
                        amountType:
                          type: string
                          enum:
                            - fixed
                            - percentage
                        conditionItems:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                              name:
                                type: string
                              amount:
                                type: string
                              description:
                                type: string
                                nullable: true
                              status:
                                type: string
                                enum:
                                  - active
                                  - draft
                              type:
                                type: string
                                enum:
                                  - credit
                                  - debit
                                  - mora
                              frequencyType:
                                type: string
                                enum:
                                  - one_time
                                  - monthly
                                  - annually
                              startDate:
                                type: string
                              collectionCycles:
                                type: number
                                default: 1
                            required:
                              - id
                              - name
                              - amount
                              - description
                              - status
                              - type
                              - frequencyType
                              - startDate
                        originalAmount:
                          type: string
                        imageUrl:
                          type: string
                          nullable: true
                        quantity:
                          type: number
                        teachableCourseId:
                          type: number
                          nullable: true
                        teachableCourseExpiresAt:
                          type: string
                          nullable: true
                        details:
                          oneOf:
                            - type: object
                              properties:
                                source:
                                  type: string
                                  enum:
                                    - item
                                discountItemId:
                                  type: number
                                amountType:
                                  type: string
                                configuredAmount:
                                  type: number
                                condition:
                                  type: string
                                conditionItems:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: number
                                    required:
                                      - id
                                baseAmount:
                                  type: number
                                  nullable: true
                                appliedAmount:
                                  type: number
                                maxDiscountAmount:
                                  type: number
                                  nullable: true
                                cartItems:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      itemId:
                                        type: number
                                      totalAmount:
                                        type: number
                                    required:
                                      - itemId
                                      - totalAmount
                                breakdown:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      itemId:
                                        type: number
                                      discountAmount:
                                        type: number
                                    required:
                                      - itemId
                                      - discountAmount
                              required:
                                - source
                                - discountItemId
                                - amountType
                                - configuredAmount
                                - condition
                                - conditionItems
                                - baseAmount
                                - appliedAmount
                                - maxDiscountAmount
                                - cartItems
                                - breakdown
                            - type: object
                              properties:
                                source:
                                  type: string
                                  enum:
                                    - manual
                                condition:
                                  type: string
                                conditionItems:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: number
                                    required:
                                      - id
                                appliedAmount:
                                  type: number
                                cartItems:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      itemId:
                                        type: number
                                      totalAmount:
                                        type: number
                                    required:
                                      - itemId
                                      - totalAmount
                                breakdown:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      itemId:
                                        type: number
                                      discountAmount:
                                        type: number
                                    required:
                                      - itemId
                                      - discountAmount
                              required:
                                - source
                            - nullable: true
                      required:
                        - id
                        - name
                        - amount
                        - description
                        - status
                        - type
                        - frequencyType
                        - startDate
                        - useCase
                        - isIndefinite
                        - condition
                        - amountType
                        - conditionItems
                        - originalAmount
                        - imageUrl
                        - quantity
                        - teachableCourseId
                        - teachableCourseExpiresAt
                  notes:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        createdAt:
                          type: string
                        note:
                          type: string
                        user:
                          type: object
                          properties:
                            id:
                              type: number
                            name:
                              type: string
                              nullable: true
                            lastName:
                              type: string
                              nullable: true
                          required:
                            - id
                            - name
                            - lastName
                      required:
                        - id
                        - createdAt
                        - note
                        - user
                  subscriptionId:
                    type: number
                    nullable: true
                  source:
                    type: string
                    enum:
                      - SETTLEMENT
                      - IMPORT
                      - MANUAL
                      - SUBSCRIPTION
                      - EVENT
                      - POS
                  serviceCost:
                    type: object
                    nullable: true
                    properties:
                      amount:
                        type: string
                      percentage:
                        type: string
                      description:
                        type: string
                        nullable: true
                    required:
                      - amount
                      - percentage
                      - description
                required:
                  - id
                  - totalAmount
                  - totalPaid
                  - totalPending
                  - totalMora
                  - interestPaid
                  - interestSnapshot
                  - interestSnapshotDate
                  - status
                  - description
                  - date
                  - expirationDate
                  - settlement
                  - lastPaymentDate
                  - uniqueId
                  - applyInterest
                  - externalReference
                  - contact
                  - items
                  - subscriptionId
                  - source
                  - serviceCost
        '404':
          description: Factura no encontrada
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                message: Factura no encontrada
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````